ServerLauncherParameters (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.distributed, enum: ServerLauncherParameters

Package org.apache.geode.distributed

# Enum Class ServerLauncherParameters

java.lang.Object
java.lang.Enum<ServerLauncherParameters>
org.apache.geode.distributed.ServerLauncherParameters

All Implemented Interfaces:
  `Serializable`, `Comparable<ServerLauncherParameters>`, `Constable`

public enum ServerLauncherParameters extends Enum<ServerLauncherParameters>
GEODE-5256: Parameters containing startup options specified by the user. Shared from ServerLauncher during startup, and available to other internal classes through static accessors.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INSTANCE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `String`
  `getBindAddress()`
  `String`
  `getHostnameForClients()`
  `Integer`
  `getMaxConnections()`
  `Integer`
  `getMaxMessageCount()`
  `Integer`
  `getMaxThreads()`
  `Integer`
  `getMessageTimeToLive()`
  `Integer`
  `getPort()`
  `Integer`
  `getSocketBufferSize()`
  `Boolean`
  `isDisableDefaultServer()`
  `static ServerLauncherParameters`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ServerLauncherParameters[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  `ServerLauncherParameters`
  `withBindAddress(String bindAddress)`
  `ServerLauncherParameters`
  `withDisableDefaultServer(Boolean disableDefaultServer)`
  `ServerLauncherParameters`
  `withHostnameForClients(String hostnameForClients)`
  `ServerLauncherParameters`
  `withMaxConnections(Integer maxConnections)`
  `ServerLauncherParameters`
  `withMaxMessageCount(Integer maxMessageCount)`
  `ServerLauncherParameters`
  `withMaxThreads(Integer maxThreads)`
  `ServerLauncherParameters`
  `withMessageTimeToLive(Integer messageTimeToLive)`
  `ServerLauncherParameters`
  `withPort(Integer port)`
  `ServerLauncherParameters`
  `withSocketBufferSize(Integer socketBufferSize)`

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INSTANCE

    public static final ServerLauncherParameters INSTANCE

- ## Method Details

  - ### values

    public static ServerLauncherParameters[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ServerLauncherParameters valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getPort

    public Integer getPort()

  - ### getMaxThreads

    public Integer getMaxThreads()

  - ### getBindAddress

    public String getBindAddress()

  - ### getMaxConnections

    public Integer getMaxConnections()

  - ### getMaxMessageCount

    public Integer getMaxMessageCount()

  - ### getSocketBufferSize

    public Integer getSocketBufferSize()

  - ### getMessageTimeToLive

    public Integer getMessageTimeToLive()

  - ### getHostnameForClients

    public String getHostnameForClients()

  - ### isDisableDefaultServer

    public Boolean isDisableDefaultServer()

  - ### withPort

    public ServerLauncherParameters withPort(Integer port)

  - ### withMaxThreads

    public ServerLauncherParameters withMaxThreads(Integer maxThreads)

  - ### withBindAddress

    public ServerLauncherParameters withBindAddress(String bindAddress)

  - ### withMaxConnections

    public ServerLauncherParameters withMaxConnections(Integer maxConnections)

  - ### withMaxMessageCount

    public ServerLauncherParameters withMaxMessageCount(Integer maxMessageCount)

  - ### withSocketBufferSize

    public ServerLauncherParameters withSocketBufferSize(Integer socketBufferSize)

  - ### withMessageTimeToLive

    public ServerLauncherParameters withMessageTimeToLive(Integer messageTimeToLive)

  - ### withHostnameForClients

    public ServerLauncherParameters withHostnameForClients(String hostnameForClients)

  - ### withDisableDefaultServer

    public ServerLauncherParameters withDisableDefaultServer(Boolean disableDefaultServer)

  - ### clear

    public void clear()